after upgrade kernel , get Error : unsupported executable file system. - Linux

This is a discussion on after upgrade kernel , get Error : unsupported executable file system. - Linux ; hi, I first had RH8.0, and want to upgrade kernel to 2.4.23. after I got bzImage and vmlinux, I put in /boot, Also I edit grub.conf But I still can't start the pc. The error message is the kernel is ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: after upgrade kernel , get Error : unsupported executable file system.

  1. after upgrade kernel , get Error : unsupported executable file system.

    hi,

    I first had RH8.0, and want to upgrade kernel to 2.4.23.
    after I got bzImage and vmlinux, I put in /boot,
    Also I edit grub.conf

    But I still can't start the pc. The error message is
    the kernel is an unsupported or invalid executable file.
    while my hda is ext2fs and with id=0x83
    How can I do?
    Anyone so kind to help me?

    jan

  2. Re: after upgrade kernel , get Error : unsupported executable filesystem.

    jann_hsinyi@hotmail.com wrote:
    > But I still can't start the pc. The error message is
    > the kernel is an unsupported or invalid executable file.
    > while my hda is ext2fs and with id=0x83


    When you recompiled your kernel you probably left out ext2 filesystem
    support. If you saved your config file you can load it up in menuconfig
    or xconfig and check to see if you truly did include the ext2
    filesystem. Otherwise you'll have to start from scratch and reconfigure
    everything. Make sure that you do not include it as a module, it needs
    to be part of the kernel.

+ Reply to Thread